QUICKPLOT(1)

NAME
quickplot - a fast interactive 2D plotter

SYNOPSIS
quickplot [OPTIONS]

DESCRIPTION
Quickplot is an interactive 2D plotter. It's primary focus is to interactively display 2D plots. It can generate PNG image files. Quickplot has a graphical user interface, lots of command line options, and a command line shell interface as well. Quickplot can load ASCII text files and many sound file formats using the libsndfile library. Quickplot can read standard input as a pipe or regular file.

The full documentation for Quickplot is maintained as a HTML document in a file named help.html. You can get the latest version at <http://quickplot.sourceforge.net/help.html>. The options part in this man page is generated from the same source as the options part of the HTML document.

The order of argument options matters. Options take effect in the order that they are given with later options overriding earlier ones. The options that cause actions like graph "something" must come after the option that says to read the file that has "something" in it. In general, the order of argument options gives the order in which things happen as Quickplot starts up.

OPTIONS

FILE
    read data from file FILE. If FILE is - (dash) then standard input will be read. This is the same as the --file option. See also --pipe.

--about or -a
    display introductory information about Quickplot in a browser and exit

--auto-scale or -A
    automatically select the X and Y scales for graphs containing more than one plot. This is the default. See also --same-x-scale, --same-y-scale, --same-scale --different-scale.

--background-color RGBA or -C RGBA
    set the color of the graph background. RGBA may be any string that GTK+ can parse into a RGB or RGBA color. For examples --background-color='rgba(0,0,255,0.5)' will make translucent blue, and -C '#050' will make a dark green.

--border or -b
    add a border to main window. This is the default. See also --no-border.

--buttons
    show the button bar in the main window. This is the default. See also --no-buttons.

--cairo-draw or -c
    draw graphs using the Cairo API. Cairo drawing may be slower, but you get translucent colors and anti-aliasing in all aspects of the graph and in saved image files. See also --x11-draw.

--default-graph or -D
    create the default graph for the current file and turn default graphing for future files read. If you give a --graph or --graph-file after this option you will generate an additional graph. A default graph will be made each time this option is encountered, so this can be used to control when, in the sequence of command line options, graphs are made. See also --no-default-graph.

--different-scale or -d
    graphs with more than one plot will have different scales if the extreme values in each plot are not all the same. See also --same-scale, --same-x-scale and --same-y-scale.

--file FILE or -f FILE
    read data from file FILE. If FILE is - (dash) then standard input will be read. See also --pipe.

--fullscreen or -F
    make the main window fullscreen. See also --no-fullscreen and --maximize.

--gaps
    interpret NAN, -NAN, INF, -INF, and double overflow numbers as a gap in the plot, and don't draw a connecting line to adjacent non-gap points. This is the default. See also --no-gaps.

--geometry GEO
    specify the position and size of the main window. To set the geometry back to the default just set GEO to NONE. Example --geometry=1000x300-0+30

--graph LIST or -g LIST
    make a graph with plots LIST. The LIST is of the form "x0 y0 x1 y1 x2 y2 ...". For example: --graph "0 1 3 4" will make two plots in a graph. It will plot channel 1 vs channel 0 and channel 4 vs channel 3 in the same graph. Data channels are numbered, starting at 0, in the order that they are created as files are read. A separate graph tab will be created for each --graph option given. This --graph option must be after the file loading options that load the channels that it lists to plot. See also --graph-file.

--graph-file LIST or -G LIST
    make a graph with plots LIST. The LIST is of the form "x0 y0 x1 y1 x2 y2 ...". Example: --graph-file "0 1 3 4" will make two plots in a graph. It will plot channel 1 vs channel 0 and channel 4 vs channel 3 in the same graph. A separate graph tab will be created for each --graph-file option given. This is like the --graph option except that the channel numbers start at zero for the last file read. They are relative channel numbers. So channel numbers for ---graph-file may be negative to refer to channels that came from files before the last file. This is handy if you load a lots of files and lose count of the number of channels loaded in each file.

--grid
    draw a grid with the graph. This is the default. See also --no-grid.

--grid-font FONT or -T FONT
    set the font used to in the grid label numbers. Example: --grid-font='Sans Bold 12'. The default grid font is "Sans 10".

--grid-line-color RGBA
    set the graph grid lines color. RGBA may be any string that GTK+ can parse into a RGB or RGBA color. For example --grid_line_color='rgba(255,0,0,0.5)' will make a translucent red.

--grid-line-width PIXELS or -W PIXELS
    set the width of the grid lines if there are any

--grid-numbers
    show grid numbers. This is the default. The grid must be showing to show grid numbers too. See also --no-grid-numbers.

--grid-text-color RGBA
    set the graph grid text color. RGBA may be any string that GTK+ can parse into a RGB or RGBA color. For example --grid_text_color='rgba(0,255,0,0.5)' will make translucent green.

--grid-x-space PIXELS or -X PIXELS
    set the maximum x space between vertical grid lines. The minimum will be about half this. This distance varies as the scale changes due to zooming. This distance cannot be fixed due to the way Quickplot scales your graphs and always picks reasonable grid line spacing. See also --grid-x-space.

--grid-y-space PIXELS or -Y PIXELS
    set the maximum y space between horizontal grid lines. See also --grid-x-space above.

--gtk-version
    print the version of GTK+ that Quickplot was built with and then exit

--gui
    show the menu bar, button bar, tabs bar, and the status bar. This is the default. See also --no-gui.

--help or -h
    display help in a browser and exit

--label-separator STR or -p STR
    specifies the label separator string STR if labels are read in from the top of a text data plot file. The default value of STR is " " (a single space). See option: --labels.

--labels or -L
    read labels from the first line of a text file that is not skipped. See also: --skip-lines, --label-separator and --no-labels.

--libsndfile-version
    print the version of libsndfile that Quickplot was built with and then exit

--line-width PIXELS or -I PIXELS
    specify the plot line widths in pixels. May be set to AUTO to let Quickplot select the line width based on the plot point density. AUTO is the default.

--linear-channel [OPTS] or -l [OPTS]
    OPTS are START|[STEP]. This option prepends a linear series channel to the file being read.

    START set the first value in the sequence to START. The default START value is 0.

    STEP set the sequence step size to STEP. The default STEP is 1. There must be a START before STEP. For example: --linear-channel='100 0.2' will make a linear channel that starts at 100 and steps 0.2. Sound files will always have a linear channel that contains the time prepended. Using this option with a sound file would prepend an additional channel. Any file loaded that contains just a single channel will automatically have a channel prepended. Using this option with a single channel file will not prepend an additional channel, but will let you set the start and step values for that prepended channel. See also --no-linear-channel.

--lines Y|N|A or -j Y|N|A

    Y yes show lines.

    N no don't show lines. Same as --no-lines.

    A auto, be smart about it. This is the default.

--local-menubars
    disable that darn Ubuntu Unity globel menu bar. This will do nothing if not running with Unity.

--maximize or -m
    maximize the main window. See also --no-maximize and --fullscreen.

--menubar
    show the menu bar. This is the default. See also --no-menubar. This will do nothing if not running with the Ubuntu Unity window manager.

--new-window or -w
    make a new main window for each graph

--no-border or -B
    display graphs main windows with no borders

--no-buttons
    hide the button bar in the main window. See also --buttons.

--no-default-graph or -U
    stop making the default graph for each file loaded. See also --default-graph.

--no-fullscreen
    don't make the main window fullscreen. This is the default. See also --fullscreen.

--no-gaps or -J
    draw a line across NAN (-NAN, INF, -INF and overflow double) values if there are finite values on both sides. See also --gaps.

--no-grid or -H
    don't draw graph grid lines in the graph. See also --grid.

--no-grid-numbers
    don't show grid numbers. See also --grid-numbers.

--no-gui or -z
    don't show the menu bar, button bar, tabs bar, and status bar. See also --gui.

--no-labels or -Q
    don't read channel labels from the file. This is the default. See also --labels.

--no-linear-channel or -k
    turn off adding a linear channel for up coming files. See also --linear-channel.

--no-lines or -i
    plot without drawing lines in the graph. See also --lines.

--no-maximize
    don't maximize the main window. This is the default. See also --maximize.

--no-menubar or -M
    don't display the menu bar in the main window. See also --menubar. This will do nothing if not running with the Ubuntu Unity window manager.

--no-new-window or -Z
    don't make a new main window for the graph. This is the default. See also --new-window.

--no-pipe or -N
    don't read data in from standard input even if there is input to read. See also --pipe.

--no-points or -o
    plot without drawing points in the graph. See also --points.

--no-readline
    don't use GNU readline with the Quickplot command shell if you run with the --shell option. This will disable the use of line editing, shell history, and tab command completion. This option has no effect if Quickplot is not built with GNU readline.

--no-shape
    turn off the use of the X11 shape extension. See also --shape.

--no-statusbar
    hide the status bar in the main window. See also --statusbar.

--no-tabs
    don't show the graph tabs in the main window. See also --tabs.

--number-of-plots NUM or -n NUM
    set the default maximum number of plots for each graph to NUM

--pipe or -P
    read graph data from standard input. By default Quickplot looks for data from standard input and stops looking if no data is found in some short amount of time. This option will cause Quickplot to wait for standard input indefinitely. If you would like to type data in from the terminal use --pipe. This option is the same as --file=-.

--point-size PIXELS or -O PIXELS
    start Quickplot using plot point size PIXELS wide in pixels. This may be set to AUTO to have quickplot automatically set the point size depending on the point density that is in graph. AUTO is the default.

--points
    show points in the plots in the graph. This is the default.

--print-about
    prints the About document to standard output andthen exits. Use option --about to display an HTML version of the Quickplot About information.

--print-help
    prints this Help document as ASCII text to standard output and then exits. Use option --help for displaying an HTML version of this help.

--read-pipe-here or -R
    this is a place holder that tells Quickplot when to read the data from standard input. This is intended to give the option of telling Quickplot when to read standard input when Quickplot automatically determines whether to read standard input or not. See options --file, --pipe and --no-pipe.

--same-scale or -s
    plot all plots in the same graph scale. See also --different-scale, --same-x-scale and --same-y-scale.

--same-x-scale Y|N|A or -x Y|N|A
    use in place of --same-scale or --auto-scale for finer control over how the x values of the plots are scaled when you have more than one plot on a graph

    Y yes same x scale

    N no different x scales

    A auto, be smart about it. This is the default. See also --same-y-scale.

--same-y-scale Y|N|A or -y Y|N|A
    use in place of --same-scale or --auto-scale for finer control over how the x values of the plots are scaled when you have more than one plot on a graph

    Y yes same y scale

    N no different y scales

    A auto, be smart about it. This is the default. See also --same-x-scale.

--shape
    make graphs see through. It uses the X11 shape extension which was made famous by xeyes. The X11 shape extension may be a little flashy on some systems. Try using --shape with the --no-gui, --no-grid, and --no-border options to make a floating graph on your display. The use of the X11 shape extension is a property of the main window, not each graph tab. This option may not work well with fullscreen view. This will slow down graph drawing considerably. You can toggle this on and off with the x key. See option --no-shape.

--shell or -e
    run a Quickplot command shell that reads commands from standard input and writes out to standard output. The default is no shell and standard input will be read as graph data. If Quickplot is reading standard input for plot data Quickplot will read shell commands from the controlling terminal (/dev/tty) after all the standard input has been read. You may use --no-pipe to stop standard input from being read as graph data. The shell can do most all the things that command-line options can do and a lot more. Run an interactive shell with quickplot --shell and use the help and tab completion to see how it works. You can also connect a Quickplot command shell to a running Quickplot program with the program quickplot_shell.

--signal PID
    signal SIGUSR1 to process PID after Quickplot is running.

--silent
    don't spew even on error. The --silent option will override the effect of the --verbose option.

--skip-lines NUM or -S NUM
    skip the first NUM lines when reading the file. This applies of all types of files that quickplot can read. Set NUM to zero to stop skipping lines.

--statusbar
    show the status bar below the graph. This is the default. See also --no-statusbar.

--tabs
    show the graph tabs. This is the default. See also --no-tabs.

--verbose or -v
    spew more to standard output. See also --silent.

--version or -V
    print the Quickplot version number and then exit returning 0 exit status

--x11-draw or -q
    draw points and lines using the X11 API. This is the default. Drawing may be much faster than with Cairo, but there will be no translucent colors and no anti-aliasing in the drawing of the plot lines and points. There will be translucent colors and anti-aliasing in the background and grid. Also, saved images will not have translucent colors like they do with the Cairo draw mode. You can start drawing with X11 and switch to drawing with Cairo when you want to save an image. Use the r key or the View menu to switch back and forth between drawing with X11 and Cairo. See also --cairo-draw.

SEE ALSO
quickplot_shell(1)

COPYRIGHT
Copyright (C) 1998-2011 Lance Arsenault

Quickplot is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Quickplot is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Quickplot. If not, see <http://www.gnu.org/licenses/>.

AUTHOR

Lance Arsenault <lanceman@users.sourceforge.net>
Send bug reports or comments to the above address.
For more information, see the Quickplot homepage at
<http://quickplot.sourceforge.net/>.